Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASQ1

    java.lang.Object
      org.netlib.lapack.SLASQ1

    public class SLASQ1

extends java.lang.Object

    SLASQ1 is a simplified interface to the JLAPACK routine slasq1.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASQ1 computes the singular values of a real N-by-N bidiagonal
     *  matrix with diagonal D and off-diagonal E. The singular values
     *  are computed to high relative accuracy, in the absence of
     *  denormalization, underflow and overflow. The algorithm was first
     *  presented in
     *
     *  "Accurate singular values and differential qd algorithms" by K. V.
     *  Fernando and B. N. Parlett, Numer. Math., Vol-67, No. 2, pp. 191-230,
     *  1994,
     *
     *  and the present implementation is described in "An implementation of

     *  the dqds Algorithm (Positive Case)", LAPACK Working Note.
     *
     *  Arguments
     *  =========
     *
     *  N     (input) INTEGER
     *        The number of rows and columns in the matrix. N >= 0.
     *
     *  D     (input/output) REAL array, dimension (N)
     *        On entry, D contains the diagonal elements of the
     *        bidiagonal matrix whose SVD is desired. On normal exit,
     *        D contains the singular values in decreasing order.
     *
     *  E     (input/output) REAL array, dimension (N)
     *        On entry, elements E(1:N-1) contain the off-diagonal elements
     *        of the bidiagonal matrix whose SVD is desired.
     *        On exit, E is overwritten.
     *
     *  WORK  (workspace) REAL array, dimension (4*N)
     *
     *  INFO  (output) INTEGER
     *        = 0: successful exit
     *        < 0: if INFO = -i, the i-th argument had an illegal value
     *        > 0: the algorithm failed
     *             = 1, a split was marked by a positive value in E
     *             = 2, current block of Z not diagonalized after 30*N
     *                  iterations (in inner while loop)
     *             = 3, termination criterion of outer while loop not met
     *                  (program created more than N unreduced blocks)
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLASQ1()`

Method Summary
`static void` | `SLASQ1(int n, float[] d, float[] e, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASQ1

    public SLASQ1()

Method Detail

### SLASQ1

    public static void SLASQ1(int n,
                              float[] d,
                              float[] e,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD